<div class="item" #item [ngClass]="status" (dragenter)="dragEnter($event)" (dragover)="dragOver($event)" (dragleave)="dragLeave()" (drop)="dragDrop($event)">
  <div class="drop-border">
    <div class="current">
      <!--<div class="actions actions-left">
        <span class="action toggle fas fa-minus-square"
              *ngIf="category.children?.length"
              ngbTooltip="Close category"
              openDelay="500" placement="top"></span>

      </div>-->
      <div class="form-group">
        <!--suppress HtmlFormInputWithoutLabel -->
        <input autosize class="form-control name" type="text" name="categoryName" required
               draggable="false"
               [(ngModel)]="category.name"
               (ngModelChange)="changeName($event)"
               [ngModelOptions]="{standalone: true}"
               (focus)="isFocus = true"
               (blur)="isFocus = false; blur(categoryName.value)"
               [disableTooltip]="isFocus"
               [disabled]="status.updating"
               ngbTooltip="Click to edit"
               openDelay="1000"
               container="body"
               placement="bottom"
               placeholder="category name"
               #tooltip="ngbTooltip"
               #categoryName="ngModel"/>
        <div class="invalid-feedback">{{ getCategoryNameErrorMsg() }}</div>
      </div>
      <div class="actions actions-right">
        <a [routerLink]="[category.id, 'delete']" class="action delete fas fa-trash-alt" openDelay="500" placement="right"
           ngbTooltip="Start deleting category"></a>
        <span class="action spinner fas fa-spinner"></span>
        <span class="action move fas fa-align-justify"
              draggable="true"
              (dragstart)="dragStart($event)"
              (dragend)="dragEnd()"
              (dragexit)="dragCanceled()"
              ngbTooltip="Move category"
              openDelay="500" placement="right"></span>
      </div>
    </div>
  </div>
</div>

<div class="list">
  <app-categories-editor-item class="child"
    [category]="childCategory"
    *ngFor="let childCategory of category.children">
  </app-categories-editor-item>
</div>
